Bug 5278 - Int property editor should trim white spaces
Int property editor should trim white spaces
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Property Editors
3.x
All All
: P4 (vote)
: TBD
Assigned To: _ tboudreau
issues@platform
:
Depends on: 20736
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-11 02:31 UTC by David Kaspar
Modified: 2008-12-23 10:48 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Kaspar 2000-01-11 02:31:35 UTC
[phamernik] The IntEditor is in JDK and we just use it, so it is not currently possible to fix this problem. Later we can rewrite it and correct this behaviour.
Comment 1 Marek Grummich 2000-07-25 09:32:59 UTC
Priority is changed to P4 (normal).
Comment 2 Jesse Glick 2002-02-20 12:20:17 UTC
Will it be fixed or not?
Comment 3 Marek Grummich 2002-07-22 08:32:28 UTC
Target milestone was changed from '3.4' to TBD.
Comment 4 Marek Grummich 2002-07-22 08:41:45 UTC
Target milestone was changed from '3.4' to TBD.
Comment 5 Marian Mirilovic 2002-12-06 17:09:33 UTC
reassigne to Tim, new owner of property editors.
Comment 6 _ tboudreau 2002-12-11 00:27:43 UTC
Has anyone filed a JDK bug on this?  IMO this issue should be closed
as WONTFIX, but that should be done first.
Comment 7 _ tboudreau 2003-03-03 13:20:39 UTC
The patch attached to issue 20736 also satisfies this enhancement.
Comment 8 _ tboudreau 2003-04-04 14:34:14 UTC
Fixed - committed new IntEditor, which trims whitespace.  Since
our IntegerEditor wraps the editor for primitive ints, this will
apply to both.

IntEditor 1.1
Comment 9 Marian Mirilovic 2003-07-14 16:47:23 UTC
verified in [20030714] with new property sheet implementation


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo